VCMD0028040200000000COMPONENT          
Node "rSimResource"
{
Name "StackCreatorTest"
Id 1
NodeClass 
{
Id 1
Feature "rFrameFeature"
{
Name "RefFrame"

Visible 1
Value 1 0 0 0 0 1 0 0 0 0 1 0 0 0 400 1 
UseAsGuide 1
}
Feature "rTransformFeature"
{
Name "Transform"

Visible 1
Transform 
{
  Expression "Tx(-50).Ty(-50)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Material  "green_tinted_glass"

Length 
{
  Expression "100.00 {mm}"
}

Width 
{
  Expression "100.00 {mm}"
}

Height 
{
  Expression "400.00 {mm}"
}

}
}
VCID "16347da2-743c-4162-bbc0-105b4537b6ba"
}
Functionality "rSimContainer"
{
Id 1
Name "StackContainer"
Flags 2
ContainerFlags 1
Capacity 9999
CapacityBlocks 
{
}
Location "RefFrame"
Connection "Input"
{
Id 0
Type 1
Name  "Input"

Connection "StackCreator"
Port 0
}
Connection "Output"
{
Id 1
Type 2
Name  "Output"

}
}
Functionality "rResourceCreator"
{
Id 2
Name "StackCreator"
Flags 2
ContainerFlags 1
Capacity 999999
CapacityBlocks 
{
}
Connection "Output"
{
Id 0
Type 2
Name  "Output"

Connection "StackContainer"
Port 0
}
Template "vcid:b3932aed-c4b9-4895-a94e-5340a2d994e0"
Interval 0
Limit 0
BlockingOptimization 1
PartPooling 0
}
Functionality "rPythonScript"
{
Id 3
Name "StackCreatorLogic"
Script "from vcScript import *
\nimport vcMatrix
\n
\nsim = getSimulation()
\napp = getApplication()
\ncomp = getComponent()
\n
\nproducts = {'Block':'vcid:b3932aed-c4b9-4895-a94e-5340a2d994e0'}
\n 
\ndef OnRun():
\n  global products
\n  creator = comp.findBehaviour('StackCreator')
\n  container = comp.findBehaviour('StackContainer')
\n  n_block = comp.getProperty('N_Comp').Value
\n
\n  n_b = 0
\n  
\n  while n_b < n_block:
\n    n_b+=1
\n    #Create part
\n    creator.Part = products['Block']
\n    part = creator.create()
\n    if part:
\n      print \"Part %i created\" %n_b
\n  
\n  
\n  first_part = True
\n  
\n  for part in container.Components:
\n    if first_part:
\n      pm = part.WorldPositionMatrix
\n      release_node = part
\n      # release_node = sim.World      
\n      first_part = False
\n    release_node.attach(part)
\n    pm.translateRel(0,0,1000)
\n    part.PositionMatrix = pm
\n    sim.update()
\n    
\n
\n
\n"
CompatibilityMode 0
}
VCID 16347da2-743c-4162-bbc0-105b4537b6ba
OriginalUri vcid:16347da2-743c-4162-bbc0-105b4537b6ba
Revision 0
Location 1 0 0 0 0 1 0 0 0 0 1 0 -2403.05276054 -2335.03267578 -5.45696821064e-12 1 
ActiveSimulationLevel detailed
BOMname  "StackCreatorTest"

BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "N_Comp"
    Value 5
    Group 130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      TRANSLATE_USING_GETTEXT
    }
  }
}
}
